Skip to main content
GET
/
requests
/
{request_id}
Get a request by id
curl --request GET \
  --url https://requests.prod.judit.io/requests/{request_id} \
  --header 'api-key: <api-key>'
{
    "request_id": "00000000-0000-0000-0000-000000000001",
    "search": {
        "search_type": "lawsuit_cnj",
        "search_key": "9999999-99.9999.9.99.9999",
        "search_params": {}
    },
    "origin": "api",
    "origin_id": "00000000-0000-0000-0000-000000000002",
    "user_id": "00000000-0000-0000-0000-0000000000aa",
    "status": "pending",
    "tags": {},
    "created_at": "2023-10-18T18:36:58.775Z",
    "updated_at": "2023-10-18T18:36:58.775Z"
}
request_id
string
required
The ID of the request you want to retrieve.
{
    "request_id": "00000000-0000-0000-0000-000000000001",
    "search": {
        "search_type": "lawsuit_cnj",
        "search_key": "9999999-99.9999.9.99.9999",
        "search_params": {}
    },
    "origin": "api",
    "origin_id": "00000000-0000-0000-0000-000000000002",
    "user_id": "00000000-0000-0000-0000-0000000000aa",
    "status": "pending",
    "tags": {},
    "created_at": "2023-10-18T18:36:58.775Z",
    "updated_at": "2023-10-18T18:36:58.775Z"
}

Authorizations

api-key
string
header
required

Path Parameters

request_id
string
required

The ID of the request you want to retrieve.